function [dzy,dzv]=TFPfun(yq,vq,kq,nq,mq,k,n,m)
% TFPfun TFP for gross output (y) and value added (v)
% -------------------------------------------------------------------------
[nt,nI]=size(vq);
dzy=zeros(nt,nI);dzv=dzy;
for i=1:nI 
    X =[k(:,i),n(:,i),m(:,i)];
    Xq=[kq(:,i),nq(:,i),mq(:,i)];   
    [~,xq]=DivisiaQ(X,Xq);    
    % gross output TFP growth rate
    dzy(2:end,i)=diff(log(yq(:,i)))-diff(log(xq));
    % value added TFP growth rate
    X =X(:,1:2);
    Xq=Xq(:,1:2);
    [~,xq]=DivisiaQ(X,Xq);
    dzv(2:end,i)=diff(log(vq(:,i)))-diff(log(xq)); 
end

end
