% Summarize Results .. Appendix
%
clear;
small = 1.0e-10;
big = 1.0e+5;                  
rng(63761);
this_date = datestr(now,'yyyymmdd');

% Include directory with misc project-specific functions
p1 = path;
path(p1,'m_utilities');
 
% -- File Directories  
outdir = 'out/';
figdir = 'fig/';
matdir = 'mat/';
 

% Read data
Read_data;

% Figure A1
App_4Panel;

% Summarize Posterior
q=8;
eta = 1.0;     % Prior SD for lambda
mlabel = ['lf_' num2str(eta*10) '_' num2str(q)]; %#ok<NASGU>
nma_fig = 11;  % MA order for figures
lf_ma_components;
summarize_posterior_appendix;

q=8;
eta = 0.5;     % Prior SD for lambda
mlabel = ['lf_' num2str(eta*10) '_' num2str(q)]; %#ok<NASGU>
nma_fig = 11;  % MA order for figures
lf_ma_components;
summarize_posterior_appendix;

q=8;
eta = 2.0;     % Prior SD for lambda
mlabel = ['lf_' num2str(eta*10) '_' num2str(q)]; %#ok<NASGU>
nma_fig = 11;  % MA order for figures
lf_ma_components;
summarize_posterior_appendix;

q=6;
eta = 1.0;     % Prior SD for lambda
mlabel = ['lf_' num2str(eta*10) '_' num2str(q)];
nma_fig = 11;  % MA order for figures
lf_ma_components;
summarize_posterior_appendix;

% Reset path
path(p1);




   


  
  

  