% Summarize Results .. Master Program
%
clear;
small = 1.0e-10;
big = 1.0e+5;                  
rng(63761);
this_date = datestr(now,'yyyymmdd');

% Include directory with misc project-specific functions
p1 = path;
path(p1,'m_utilities');
 
% -- File Directories  
outdir = 'out/';
figdir = 'fig/';
matdir = 'mat/';
 
% Read data
Read_data;

% Construct LF trends and Moving-averages
nma_fig = 11;  % MA order for figures
q = 8;         % q value for LF trend
lf_ma_components;

% Figure 1 and Table 1 in paper
Fig_Tab_1;

% Table 2
Tab_2;

% Plot Data and LF trends;
plot_lf_trends_data;

% Reset path
path(p1);
    