% Construct LF and MA versions of data
%
y_mat = [va_agg emp_agg tfp_agg emp_sec tfp_sec cap_sec];
% Construct sample mean and cosine transform, etc
[WT,XE,xproj] = WT_avg(y_mat,q);
xbar = XE(1,:);
X = XE(2:end,:);
W = WT(:,2:end)/T_obs;
xma = NaN(size(y_mat));
tmp = ma(y_mat,nma_fig);
aa = (nma_fig-1)/2;
xma(aa+1:end-aa,:)=tmp(nma_fig:end,:);
% -- va_agg --
xbar_va_agg = xbar(1);
X_va_agg = X(:,1);
xproj_va_agg = xproj(:,1);
xma_va_agg = xma(:,1);
xma_dm_va_agg = xma(:,1)-xbar(1);
xproj_dm_va_agg = xproj(:,1)-xbar(1);
va_agg_dm = va_agg-xbar(1);
% -- emp_agg --
xbar_emp_agg = xbar(2);
X_emp_agg = X(:,2);
xproj_emp_agg = xproj(:,2);
xma_emp_agg = xma(:,2);
xma_dm_emp_agg = xma(:,2)-xbar(2);
xproj_dm_emp_agg = xproj(:,2)-xbar(2);
emp_agg_dm = emp_agg-xbar(2);
% -- tfp_agg --
xbar_tfp_agg = xbar(3);
X_tfp_agg = X(:,3);
xproj_tfp_agg = xproj(:,3);
xma_tfp_agg = xma(:,3);
xma_dm_tfp_agg = xma(:,3)-xbar(3);
xproj_dm_tfp_agg = xproj(:,3)-xbar(3);
tfp_agg_dm = tfp_agg-xbar(3);
% -- emp_sec --
ii = 3;
xbar_emp_sec = xbar(ii+1:ii+n_y)';
X_emp_sec = X(:,ii+1:ii+n_y);
xproj_emp_sec = xproj(:,ii+1:ii+n_y);
xma_emp_sec = xma(:,ii+1:ii+n_y);
xma_dm_emp_sec = xma(:,ii+1:ii+n_y)-xbar(ii+1:ii+n_y);
xproj_dm_emp_sec = xproj(:,ii+1:ii+n_y)-xbar(ii+1:ii+n_y);
emp_sec_dm = emp_sec-xbar(ii+1:ii+n_y);
% -- tfp_sec --
ii = ii+n_y;
xbar_tfp_sec = xbar(ii+1:ii+n_y)';
X_tfp_sec = X(:,ii+1:ii+n_y);
xproj_tfp_sec = xproj(:,ii+1:ii+n_y);
xma_tfp_sec = xma(:,ii+1:ii+n_y);
xma_dm_tfp_sec = xma(:,ii+1:ii+n_y)-xbar(ii+1:ii+n_y);
xproj_dm_tfp_sec = xproj(:,ii+1:ii+n_y)-xbar(ii+1:ii+n_y);
tfp_sec_dm = tfp_sec-xbar(ii+1:ii+n_y);
% -- cap_sec
ii = ii+n_y;
xbar_cap_sec = xbar(ii+1:ii+n_y)';
X_cap_sec = X(:,ii+1:ii+n_y);
xproj_cap_sec = xproj(:,ii+1:ii+n_y);
xma_cap_sec = xma(:,ii+1:ii+n_y);
xma_dm_cap_sec = xma(:,ii+1:ii+n_y)-xbar(ii+1:ii+n_y);
xproj_dm_cap_sec = xproj(:,ii+1:ii+n_y)-xbar(ii+1:ii+n_y);
cap_sec_dm = cap_sec-xbar(ii+1:ii+n_y);

