% BEAdataHours_1987_2018_NAICS
% Sectoral hours in the OFFICIAL IILPAs are a quantity index, 2012=100.
% Rescale hours using total hours worked from the EXPERIMENTAL IILPA for
% 1963-2016. 
%
% A.Hornstein
% -------------------------------------------------------------------------
inputloc='DataProcessed\';

% hrs are total hours worked
fname=[inputloc 'KLEMSbea_1963_2016_NAICS'];
load(fname,'tt','hrs');
i1=find(tt==2012);
h2012=hrs(i1,:);
h1=hrs;

% hrs are quantity index, 2012=100
fname=[inputloc 'KLEMSbea_1987_2018_NAICS'];
load(fname,'tt','hrs');
hrsQ=hrs;
% rescale quantity index to total hrs worked
hrs=(hrs/100)*diag(h2012);
save(fname,'hrs','hrsQ','-append');





