function [x1,x1q]=DivisiaQ(x,xq,t,t0)
% DivisiaQ nominal and real Divisia aggregate of (x,xq) with real=nominal
% at t0 
% -------------------------------------------------------------------------
x1  =sum(x,2);
xshr=diag(1./x1)*x;
i0=(xq==0);
xq(i0)=1e-7*max(mean(xq),[],2);
dx1q=[0; sum( 0.5*(xshr(1:end-1,:)+xshr(2:end,:) ).*diff(log(xq)), 2)];
x1q=exp(cumsum(dx1q));
if nargin==4
    i0=(t==t0);
    x1q=x1q*x1(i0)/x1q(i0);
end    
end
