function [t,x,xname]=ImportBEA(fname,vname)
% ImportBEA import 'vname' from fname
% revised 11/10/2020: revised 1987-2018 BEA data are now in one spreadsheet
% -------------------------------------------------------------------------
[data,txt]=xlsread(fname,vname,'A1:AG65');
xname=txt(3:end,1);
nt=size(data,2);
t=NaN(nt,1);
for i=1:nt
    t(i)=str2double(txt{2,1+i});
end
x=data';
end