ismpl = smpl(calvec_all,[1950 1],[2018 1],1);
rslt = NaN(16,5);
rslt(:,1) = mean(va_sectoral_data(ismpl==1,:));
rslt(:,2) = mean(emp_sectoral_data(ismpl==1,:));
rslt(:,3) = mean(tfp_sectoral_data(ismpl==1,:));
rslt(:,4) = 100*tfp_shares_avg;
rslt(:,5) = 100*emp_shares_avg;

% -- TABLE 2: GDP GROWTH -- %
outfile_name    = [outdir, 'Table_02.csv'];
fileID          = fopen(outfile_name,'w');
prtmat_comma(rslt,fileID,'%5.2f','\n');
fprintf(fileID,'\n');
tmp = mean([va_aggregate_data_fixed_weight(ismpl==1) emp_aggregate_data_fixed_weight(ismpl==1) tfp_aggregate_data_fixed_weight(ismpl==1)]);
prtmat_comma(tmp,fileID,'%5.2f','\n');
fclose(fileID);