
% Sectors
fig = figure;
for i = 1:n_y
   subplot(4,4,i);
   str = char(sector_names(i));
   plot(calvec,emp_sec(:,i),'- k','LineWidth',1);
   hold on;
    plot(calvec,xproj_emp_sec(:,i),'- b','LineWidth',2)
   hold off;
   title(str);
   xlim([1950 2020]);  
end
orient landscape;
print(fig, [figdir, 'Figure_03'], '-dpdf','-bestfit');
close(gcf);

fig = figure;
for i = 1:n_y
   subplot(4,4,i);
   str = char(sector_names(i));
   plot(calvec,tfp_sec(:,i),'- k','LineWidth',1);
   hold on;
    plot(calvec,xproj_tfp_sec(:,i),'- b','LineWidth',2)
   hold off;
   title(str);
   xlim([1950 2020]);  
end
orient landscape;
print(fig, [figdir, 'Figure_04'], '-dpdf','-bestfit');
close(gcf);

  